# List all devices List all devices associated with a user or organization Endpoint: GET /v2/devices Version: 2.0 Security: TokenAuth ## Query parameters: - `deviceType` (string, required) The device type Enum: "MOBILE", "CLOUD" - `deviceOwner` (string) The device owner Enum: "THIS_ORGANIZATION", "TRUSTED_ORGANIZATION" ## Response 200 fields (application/json): - `id` (string, required) The device ID Example: "ce4918bf-a199-4ce2-85a3-d0d296855384" - `organizationId` (string, required) The organization ID Example: "ce4918bf-a199-4ce2-85a3-d0d296855384" - `createdBy` (string, required) The user ID that created the device Example: "ce4918bf-a199-4ce2-85a3-d0d296855384" - `createdAt` (string, required) The date and time the device was created Example: "2022-03-29T10:22:22.420Z" - `pairedAt` (string, required) The date and time the device was paired Example: "2022-03-29T10:22:22.420Z" - `updatedAt` (string, required) The date and time the device was updated Example: "2022-03-29T10:22:22.420Z" - `clientId` (string) The client ID Example: "muDigc2N34HnKJh28l9pK6d0lBOFAe" - `displayName` (string, required) The name of the device Example: "Treasury vault" - `approvalStatus` (string, required) Enum: "PENDING", "APPROVED", "REJECTED" - `enabledStatus` (string, required) Enum: "ENABLED_STATUS_PENDING", "ENABLED", "DISABLED" - `publicKeyHash` (string, required) The hash of the devices public key Example: "muDigc2N34HnKJh28l9pK6d0lBOFAe" - `deleted` (boolean, required) Whether the device has been deleted Example: "false" - `deviceType` (string, required) Enum: "MOBILE", "CLOUD" - `playerId` (integer) The player ID Example: 123456 - `version` (string) The version of the device Example: "1.0.0" ## Response 400 fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string) ## Response 401 fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string) ## Response 403 fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string) ## Response 404 fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string) ## Response default fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string)